Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Interface ActionProxy

All Known Implementing Classes:
  DefaultActionProxy, MockActionProxy

    public interface ActionProxy

ActionProxy is an extra layer between XWork and the action so that different proxies are possible.

An example of this would be a remote proxy, where the layer between XWork and the action might be RMI or SOAP.

Author:
  Jason Carreira

Method Summary
`java.lang.String` | `execute()` Execute this ActionProxy.
`java.lang.Object` | `getAction()` Gets the Action instance for this Proxy.
`java.lang.String` | `getActionName()` Gets the alias name this ActionProxy is mapped to.
`ActionConfig` | `getConfig()` Gets the ActionConfig this ActionProxy is built from.
`boolean` | `getExecuteResult()` Gets the status of whether the ActionProxy is set to execute the Result after the Action is executed.
`ActionInvocation` | `getInvocation()` Gets the ActionInvocation associated with this ActionProxy.
`java.lang.String` | `getMethod()` Gets the method name to execute, or `null` if no method has been specified (meaning `execute` will be invoked).
`java.lang.String` | `getNamespace()` Gets the namespace the ActionConfig for this ActionProxy is mapped to.
`void` | `setExecuteResult(boolean executeResult)` Sets whether this ActionProxy should also execute the Result after executing the Action.

Method Detail

### getAction

    java.lang.Object getAction()

  Gets the Action instance for this Proxy.

  Returns:
    the Action instance

### getActionName

    java.lang.String getActionName()

  Gets the alias name this ActionProxy is mapped to.

  Returns:
    the alias name

### getConfig

    ActionConfig getConfig()

  Gets the ActionConfig this ActionProxy is built from.

  Returns:
    the ActionConfig

### setExecuteResult

    void setExecuteResult(boolean executeResult)

  Sets whether this ActionProxy should also execute the Result after executing the Action.

  Parameters:
    `executeResult` - `true` to also execute the Result.

### getExecuteResult

    boolean getExecuteResult()

  Gets the status of whether the ActionProxy is set to execute the Result after the Action is executed.

  Returns:
    the status

### getInvocation

    ActionInvocation getInvocation()

  Gets the ActionInvocation associated with this ActionProxy.

  Returns:
    the ActionInvocation

### getNamespace

    java.lang.String getNamespace()

  Gets the namespace the ActionConfig for this ActionProxy is mapped to.

  Returns:
    the namespace

### execute

    java.lang.String execute()
                             throws java.lang.Exception

  Execute this ActionProxy. This will set the ActionContext from the ActionInvocation into the ActionContext ThreadLocal before invoking the ActionInvocation, then set the old ActionContext back into the ThreadLocal.

  Returns:
    the result code returned from executing the ActionInvocation
  Throws:
    `java.lang.Exception` - can be thrown.
  See Also:
    `ActionInvocation`

### getMethod

    java.lang.String getMethod()

  Gets the method name to execute, or `null` if no method has been specified (meaning `execute` will be invoked).

  Returns:
    the method to execute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.